/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package sikd.ikonsol.ejb.session;

import java.util.List;
import javax.ejb.Remote;
import sikd.ikonsol.model.BaganAkunStandar;

/**
 *
 * @author Imam Bhoim
 */
@Remote
public interface BaganAkunStandarEjbHome {

    public List<BaganAkunStandar> findAll();

    public BaganAkunStandar findByID(int id);

    public BaganAkunStandar createNew();

    public BaganAkunStandar save(BaganAkunStandar obj);

    public BaganAkunStandar saveLevel4(BaganAkunStandar obj);

    public BaganAkunStandar saveLevel5(BaganAkunStandar obj);

    public BaganAkunStandar findByKode(String kode);

    public BaganAkunStandar findByKodeLvl12(int lvl1, int lvl2, int lvl3, int idbas);

    public BaganAkunStandar findByKodeLvl123(int lvl1, int lvl2, int lvl3, String lvl4, int idbas);

    public BaganAkunStandar findByKodeLvl1234(int lvl1, int lvl2, int lvl3, String lvl4, String lvl5, int idbas);

    public BaganAkunStandar update(BaganAkunStandar obj);

    public List<BaganAkunStandar> findAllLevel1(int idbas);

    public List<BaganAkunStandar> findAllLevel2();

    public List<BaganAkunStandar> findByLevel1(int lvl1, int idbas);

    public List<BaganAkunStandar> findByLevel2(int lvl1, int lvl2, int idbas);

    public List<BaganAkunStandar> findAllLevel2ByLevel1(int lvl1, int idbas);

    public List<BaganAkunStandar> findAllLevel3ByLevel2(int lvl2, int idbas);

    public List<BaganAkunStandar> findAllLevel4ByLevel3(int lvl3, int idbas);

    public List<BaganAkunStandar> findAllLevel4();

    public List<BaganAkunStandar> findAllLevel5();

    public List<BaganAkunStandar> findAllByJenisBas(int id);

    public void delete(int lvl1, int lvl2, int lvl3, String lvl4, String lvl5, int idbas);

    public BaganAkunStandar saveImport(BaganAkunStandar obj);

}
